# Interface SwitchExpressionTree

All Superinterfaces:
  `ExpressionTree, Tree`

public interface SwitchExpressionTree extends ExpressionTree
A tree node for a `switch` expression. For example:

      switch ( expression ) {
        cases
      }

See Java Language Specification:
  15.28 `switch` Expressions
Since:
  14

## Nested Class Summary

### Nested classes/interfaces declared in interface Tree

`Tree.Kind`

## Method Summary

Modifier and Type
Method
Description
`List<? extends CaseTree>`
`getCases()`
Returns the cases for the `switch` expression.
`ExpressionTree`
`getExpression()`
Returns the expression for the `switch` expression.

### Methods declared in interface Tree

`accept, getKind`

## Method Details

### getExpression

ExpressionTree getExpression()
Returns the expression for the `switch` expression.

Returns:
  the expression

### getCases

List<? extends CaseTree> getCases()
Returns the cases for the `switch` expression.

Returns:
  the cases